Retrieves a card order based on the cardOrderId.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/v3/spend/profiles/{profileId}/card-orders/{cardOrderId}
- Sandbox Environmenthttps://api.wise-sandbox.com/v3/spend/profiles/{profileId}/card-orders/{cardOrderId}
curl -i -X GET \
https://api.wise.com/v3/spend/profiles/123456/card-orders/142 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'OK - Successfully retrieved card order.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
The card program associated with this card order. A Card Program is what Wise refers to all the cards that you will be issuing with us, grouped by product type and by issuing country.
Address set during card order. Required for physical cards. Optional for virtual cards (defaults to the profile address, if omitted). Fields vary by country. See the card address validation guide for country-specific fields and validation rules.
Token of the card associated with card order. Nullable.
Token of the card being replaced by this replacement card order. Nullable.
Time when the card order is created.
Time when the card order was last modified.
Status of the card order. See card order status flow for details.
The estimated time when the card will be delivered. There are few scenarios to be mindful of:
- For virtual card the delivery estimate will be close to the creationTime, as it does not require delivery.
- For physical card in
PLACEDstatus, the delivery estimate is calculated assuming that the order requirements will be fulfilled today (refreshed daily). - For physical card after
PLACEDstatus, we provide a best effort estimation, and it should not be used as delivery timing as we will have separate delivery tracking (subject to region availability) for physical card that is coming soon.
{ "id": 142, "profileId": 123456, "clientId": "your-client-id", "cardProgram": { "name": "VISA_DEBIT_BUSINESS_UK_1_PHYSICAL_CARDS_API", "scheme": "VISA", "defaultCurrency": "GBP", "cardType": "PHYSICAL" }, "address": { "firstLine": "56 Shoreditch High St", "secondLine": "The Tea Bldg", "thirdLine": null, "city": "London", "postCode": "E1 6JJ", "state": null, "country": "GB" }, "cardToken": "4dc0be88-903f-49e4-8237-735f1139e3dd", "replacesCard": "4dc0be88-903f-49e4-8237-735f1139e3dd", "creationTime": "2023-07-31T01:43:24.596321434Z", "modificationTime": "2023-07-31T01:43:24.596321825Z", "status": "PRODUCED", "cardHolderName": "John Smith", "phoneNumber": "+441234567890", "lifetimeLimit": 100, "deliveryEstimate": "2023-10-30T07:11:00.848681Z", "deliveryDetails": { "deliveryOption": "POSTAL_SERVICE_WITH_TRACKING", "deliveryVendor": "DHL", "trackingUrl": "https://www.dhl.com/gb-en/home/tracking/tracking-express.html?submit=1&tracking-id=1999473803", "trackingNumber": "1999473803" } }